DKMS linux-headers-5.8.0-34-generic update brokes nvidia-340

Bug #1910709 reported by Meluco on 2021-01-08
140
This bug affects 27 people
Affects Status Importance Assigned to Milestone
nvidia-graphics-drivers-340 (Ubuntu)
Undecided
Unassigned
Focal
Undecided
Timo Aaltonen

Bug Description

[Impact]
nvidia-340 dkms fails to build against the current HWE kernel in focal, regressing the user experience.

[Test case]
Install the update, check that the dkms builds and works.

[Where things could go wrong]
The changes only add support for newer kernels so that the module can build, and it's identical to what's in groovy. In theory it could break the build against 5.4 but that's highly unlikely.

--

Last linux kernel update "linux-headers-5.8.0-34-generic" broke nvidia-340 driver and Desktop access. In make log:

[...]
echo >&2; \
echo >&2 " ERROR: Kernel configuration is invalid."; \
echo >&2 " include/generated/autoconf.h or include/config/auto.conf are missing.";\
echo >&2 " Run 'make oldconfig && make prepare' on kernel src to fix it."; \
echo >&2 ;
[...]

Full DKMS log file attacked.
---
ProblemType: Bug
ApportVersion: 2.20.11-0ubuntu27.14
Architecture: amd64
CasperMD5CheckResult: skip
CurrentDesktop: ubuntu:GNOME
DistroRelease: Ubuntu 20.04
InstallationDate: Installed on 2020-11-04 (64 days ago)
InstallationMedia: Ubuntu 20.04.1 LTS "Focal Fossa" - Release amd64 (20200731)
MachineType: Gigabyte Technology Co., Ltd. H81M-D3H
NonfreeKernelModules: nvidia
Package: linux (not installed)
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=es_ES.UTF-8
 SHELL=/bin/bash
ProcFB: 0 EFI VGA
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-59-generic root=UUID=b0ed05d5-7921-451b-b62c-773b97eeca2f ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 5.4.0-59.65-generic 5.4.78
RelatedPackageVersions:
 linux-restricted-modules-5.4.0-59-generic N/A
 linux-backports-modules-5.4.0-59-generic N/A
 linux-firmware 1.187.7
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
Tags: focal
Uname: Linux 5.4.0-59-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: sudo
WifiSyslog:

_MarkForUpload: True
dmi.bios.date: 01/20/2014
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: F2
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: H81M-D3H
dmi.board.vendor: Gigabyte Technology Co., Ltd.
dmi.board.version: x.x
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrF2:bd01/20/2014:svnGigabyteTechnologyCo.,Ltd.:pnH81M-D3H:pvrTobefilledbyO.E.M.:rvnGigabyteTechnologyCo.,Ltd.:rnH81M-D3H:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.family: To be filled by O.E.M.
dmi.product.name: H81M-D3H
dmi.product.sku: To be filled by O.E.M.
dmi.product.version: To be filled by O.E.M.
dmi.sys.vendor: Gigabyte Technology Co., Ltd.
---
ProblemType: Bug
ApportVersion: 2.20.11-0ubuntu27.14
Architecture: amd64
CasperMD5CheckResult: skip
DistroRelease: Ubuntu 20.04
InstallationDate: Installed on 2020-11-04 (64 days ago)
InstallationMedia: Ubuntu 20.04.1 LTS "Focal Fossa" - Release amd64 (20200731)
MachineType: Gigabyte Technology Co., Ltd. H81M-D3H
NonfreeKernelModules: nvidia
Package: linux (not installed)
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 LANG=es_ES.UTF-8
 SHELL=/bin/bash
ProcFB: 0 EFI VGA
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-59-generic root=UUID=b0ed05d5-7921-451b-b62c-773b97eeca2f ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 5.4.0-59.65-generic 5.4.78
PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions:
 linux-restricted-modules-5.4.0-59-generic N/A
 linux-backports-modules-5.4.0-59-generic N/A
 linux-firmware 1.187.7
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
Tags: focal
Uname: Linux 5.4.0-59-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: N/A
_MarkForUpload: True
dmi.bios.date: 01/20/2014
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: F2
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: H81M-D3H
dmi.board.vendor: Gigabyte Technology Co., Ltd.
dmi.board.version: x.x
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrF2:bd01/20/2014:svnGigabyteTechnologyCo.,Ltd.:pnH81M-D3H:pvrTobefilledbyO.E.M.:rvnGigabyteTechnologyCo.,Ltd.:rnH81M-D3H:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.family: To be filled by O.E.M.
dmi.product.name: H81M-D3H
dmi.product.sku: To be filled by O.E.M.
dmi.product.version: To be filled by O.E.M.
dmi.sys.vendor: Gigabyte Technology Co., Ltd.

Meluco (daniel-banobre-dopico) wrote :

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1910709

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: groovy

apport information

tags: added: apport-collected focal
description: updated

apport information

apport information

description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

@daniel-banobre-dopico
Can you confirm this affects the 'released' (focal-updates) kernel 5.8.0-36-generic (install linux-generic-hwe-20.04) ?

Meluco (daniel-banobre-dopico) wrote :

Doing:
sudo apt update
sudo apt install linux-headers-generic-hwe-20.04

[...]
Building module:
cleaning build area...
[ ! -h /usr/bin/cc ] && export CC=/usr/bin/gcc; make -k module KERNDIR=/lib/modu
les/5.8.0-36-generic IGNORE_XEN_PRESENCE=1 IGNORE_CC_MISMATCH=1 SYSSRC=/lib/modu
les/5.8.0-36-generic/build LD=/usr/bin/ld.bfd; make -C uvm module KERNEL_UNAME=5
.8.0-36-generic KBUILD_EXTMOD=/var/lib/dkms/nvidia-340/340.108/build/uvm........
....(bad exit status: 2)
ERROR: Cannot create report: [Errno 17] File exists: '/var/crash/nvidia-340.0.crash'
Error! Bad return status for module build on kernel: 5.8.0-36-generic (x86_64)
Consult /var/lib/dkms/nvidia-340/340.108/build/make.log for more information.
   ...done.
Configurando linux-headers-generic-hwe-20.04 (5.8.0.36.40~20.04.21) ...

Yes, I confirm.

Timo Aaltonen (tjaalton) on 2021-01-08
affects: linux (Ubuntu) → nvidia-graphics-drivers-340 (Ubuntu)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nvidia-graphics-drivers-340 (Ubuntu Focal):
status: New → Confirmed
Changed in nvidia-graphics-drivers-340 (Ubuntu Groovy):
status: New → Confirmed
Timo Aaltonen (tjaalton) wrote :

Hi Alberto, could you backport a newer version to focal?

no longer affects: nvidia-graphics-drivers-340 (Ubuntu Groovy)
Changed in nvidia-graphics-drivers-340 (Ubuntu Focal):
assignee: nobody → Alberto Milone (albertomilone)
Denys Ksenchuk (dex359) wrote :

affected to me too when upgrading linux-kernel up to 5.8.0 on ubuntu focal

Sujit Kumar (therealsujitk) wrote :

After upgrading all packages my laptop gave a black screen on boot. After more digging, I figured out it was because of the nvidia drivers. As of now, I'm using the X.Org Nouveau open-source driver. I removed all Nvidia drivers using (from recovery mode) and this seemed to work.

```ssh
sudo apt purge ^nvidia-
```

However, I'd like to use the Nvidia driver again ASAP.

<hr>

On trying to run (the recommended driver):

```ssh
sudo apt get nvidia-340
```

I got this:

```ssh
dpkg: error: version '-' has bad syntax: revision number is empty
dpkg: error: version '-' has bad syntax: revision number is empty
update-initramfs: deferring update (trigger activated)
INFO:Enable nvidia-340
DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/put_your_quirks_here
DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/dell_latitude
DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/lenovo_thinkpad
Adding system user `nvidia-persistenced' (UID 126) ...
Adding new group `nvidia-persistenced' (GID 133) ...
Adding new user `nvidia-persistenced' (UID 126) with group `nvidia-persistenced'
 ...
Not creating home directory `/'.
Loading new nvidia-340-340.108 DKMS files...
Building for 5.8.0-36-generic
Building for architecture x86_64
Building initial module for 5.8.0-36-generic
ERROR: Cannot create report: [Errno 17] File exists: '/var/crash/nvidia-340.0.cr
ash'
Error! Bad return status for module build on kernel: 5.8.0-36-generic (x86_64)
Consult /var/lib/dkms/nvidia-340/340.108/build/make.log for more information.
dpkg: error processing package nvidia-340 (--configure):
 installed nvidia-340 package post-installation script subprocess returned error
 exit status 10
Processing triggers for mime-support (3.64ubuntu1) ...
Processing triggers for gnome-menus (3.36.0-1ubuntu1) ...
Processing triggers for libc-bin (2.31-0ubuntu9.1) ...
Processing triggers for man-db (2.9.1-1) ...
Processing triggers for desktop-file-utils (0.24-1ubuntu3) ...
Processing triggers for initramfs-tools (0.136ubuntu6.3) ...
update-initramfs: Generating /boot/initrd.img-5.8.0-36-generic
Errors were encountered while processing:
 nvidia-340
E: Sub-process /usr/bin/dpkg returned an error code (1)
```

Arun (openarun) wrote :
Download full text (12.5 KiB)

I am unable to install nvidia-340 driver and got the following as log in its make.log file:

$ tail -n 200 /var/lib/dkms/nvidia-340/340.108/build/make.log
      | ^~~~~~~~~~~~
./arch/x86/include/asm/percpu.h:131:31: warning: comparison of integer expressions of different signedness: ‘unsigned int’ and ‘int’ [-Wsign-compare]
  131 | ((val) == 1 || (val) == -1)) ? \
      | ^~
./arch/x86/include/asm/percpu.h:434:34: note: in expansion of macro ‘percpu_add_op’
  434 | #define this_cpu_add_4(pcp, val) percpu_add_op(volatile, (pcp), val)
      | ^~~~~~~~~~~~~
./include/linux/percpu-defs.h:379:11: note: in expansion of macro ‘this_cpu_add_4’
  379 | case 4: stem##4(variable, __VA_ARGS__);break; \
      | ^~~~
./include/linux/percpu-defs.h:509:33: note: in expansion of macro ‘__pcpu_size_call’
  509 | #define this_cpu_add(pcp, val) __pcpu_size_call(this_cpu_add_, pcp, val)
      | ^~~~~~~~~~~~~~~~
./include/linux/percpu-defs.h:519:33: note: in expansion of macro ‘this_cpu_add’
  519 | #define this_cpu_sub(pcp, val) this_cpu_add(pcp, -(typeof(pcp))(val))
      | ^~~~~~~~~~~~
./include/linux/percpu-defs.h:521:28: note: in expansion of macro ‘this_cpu_sub’
  521 | #define this_cpu_dec(pcp) this_cpu_sub(pcp, 1)
      | ^~~~~~~~~~~~
./include/linux/percpu-rwsem.h:106:3: note: in expansion of macro ‘this_cpu_dec’
  106 | this_cpu_dec(*sem->read_count);
      | ^~~~~~~~~~~~
./arch/x86/include/asm/percpu.h:131:31: warning: comparison of integer expressions of different signedness: ‘unsigned int’ and ‘int’ [-Wsign-compare]
  131 | ((val) == 1 || (val) == -1)) ? \
      | ^~
./arch/x86/include/asm/percpu.h:492:35: note: in expansion of macro ‘percpu_add_op’
  492 | #define this_cpu_add_8(pcp, val) percpu_add_op(volatile, (pcp), val)
      | ^~~~~~~~~~~~~
./include/linux/percpu-defs.h:380:11: note: in expansion of macro ‘this_cpu_add_8’
  380 | case 8: stem##8(variable, __VA_ARGS__);break; \
      | ^~~~
./include/linux/percpu-defs.h:509:33: note: in expansion of macro ‘__pcpu_size_call’
  509 | #define this_cpu_add(pcp, val) __pcpu_size_call(this_cpu_add_, pcp, val)
      | ^~~~~~~~~~~~~~~~
./include/linux/percpu-defs.h:519:33: note: in expansion of macro ‘this_cpu_add’
  519 | #define this_cpu_sub(pcp, val) this_cpu_add(pcp, -(typeof(pcp))(val))
      | ^~~~~~~~~~~~
./include/linux/percpu-defs.h:521:28: note: in expansion of macro ‘this_cpu_sub’
  521 | #define this_cpu_dec(pcp) this_cpu_sub(pcp, 1)
      | ^~~~~~~~~~~~
./include/linux/percpu-rwsem.h:106:3: note: in expansion of macro ‘this_cpu_dec’
  106 | this_cpu_dec(*sem->read_count);
      | ^~~~~~~~~~~~
./arch/x86/include/asm/percpu.h:131:31: warning: comparison of integer expressions of different signedness: ‘unsigned int’ and ‘int’ [-Wsign-compare]
  131 | ((val) == 1 || (val) == -1)) ? \
      | ...

Arun (openarun) wrote :

During the installation from the repository : nvidia-340:

Unpacking nvidia-340 (340.108-0ubuntu2) ...
Setting up nvidia-340 (340.108-0ubuntu2) ...
dpkg: error: version '-' has bad syntax: revision number is em
pty
dpkg: error: version '-' has bad syntax: revision number is em
pty
update-initramfs: deferring update (trigger activated)
INFO:Enable nvidia-340
DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/dell_lat
itude
DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/put_your
_quirks_here
DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/lenovo_t
hinkpad
Adding system user `nvidia-persistenced' (UID 126) ...
Adding new group `nvidia-persistenced' (GID 133) ...
Adding new user `nvidia-persistenced' (UID 126) with group `nv
idia-persistenced' ...
Not creating home directory `/'.
Loading new nvidia-340-340.108 DKMS files...
Building for 5.8.0-36-generic
Building for architecture x86_64
Building initial module for 5.8.0-36-generic
ERROR: Cannot create report: [Errno 17] File exists: '/var/cra
sh/nvidia-340.0.crash'
Error! Bad return status for module build on kernel: 5.8.0-36-
generic (x86_64)
Consult /var/lib/dkms/nvidia-340/340.108/build/make.log for mo
re information.
dpkg: error processing package nvidia-340 (--configure):
 installed nvidia-340 package post-installation script subproc
ess returned error exit status 10
Processing triggers for man-db (2.9.1-1) ...
Processing triggers for libc-bin (2.31-0ubuntu9.1) ...
Processing triggers for initramfs-tools (0.136ubuntu6.3) ...
update-initramfs: Generating /boot/initrd.img-5.8.0-36-generic
I: The initramfs will attempt to resume from /dev/sda1
I: (UUID=591167b7-e429-475e-916a-fcc4830abde5)
I: Set the RESUME variable to override this.
Errors were encountered while processing:
 nvidia-340
E: Sub-process /usr/bin/dpkg returned an error code (1)

paolo porchia (paolo-porchia) wrote :

As far as I can see from another (now closed) bug report, this has been sorted out for Ubuntu 20.10, also on Kernel 5.8. I guess we just have to be patient and the solution will be back-ported.

I can confirm that there is not yet a new 'nvidia-340' in focal-proposed. Looking at the changelogs this *should* be a very simple case of backporting existing gutsy-updates source to focal just naming it .20.04.1 on the end instead of 20.10.2, in short.
I think this needs to be done promptly as affecting existing LTS desktop users with hwe metapackages installed!
Would be nice to see patch support also k5.10 which is already packaged in debian, and provided in various 3rd-party-isos, but not if holding up immediate nvidia-340 update.

paolo porchia (paolo-porchia) wrote :

Perhaps the fix is not yet considered 'stable' enough to be pushed to LTS. Just guessing.

Limag (limag1) wrote :

Same here. After an update yesterday, my Lenovo T510 stopped working. Boot to a eternal blinking cursor, no gfx mode. Uninstall the nvidia-340 switched to nouveau and gave the GUI back.

Nouveau works quite well, **UNFORTUNATELY** it does not support suspend mode, which is a "must" on a laptop.
So, this bug has a high impact to "normal" users.

Changed in nvidia-graphics-drivers-340 (Ubuntu):
status: Incomplete → Confirmed
Dimitri John Ledkov (xnox) wrote :

It would be very helpful to know which nvidia card you have and which packages you have installed.

Output of something like:

dpkg-query -W | grep -e linux -e nvidia

and

lspci -vvv

paolo porchia (paolo-porchia) wrote :
Download full text (4.4 KiB)

Thank you Dimitri, here is the output:

eliseo@eliseo-desktop:~$ dpkg-query -W | grep -e linux -e nvidia

binutils-x86-64-linux-gnu 2.34-6ubuntu1
console-setup-linux 1.194ubuntu3
libselinux1:amd64 3.0-1build2
linux-base 4.5ubuntu3.1
linux-firmware 1.187.7
linux-generic-hwe-20.04 5.8.0.36.40~20.04.21
linux-headers-5.4.0-59 5.4.0-59.65
linux-headers-5.4.0-59-generic 5.4.0-59.65
linux-headers-5.8.0-34-generic 5.8.0-34.37~20.04.2
linux-headers-5.8.0-36-generic 5.8.0-36.40~20.04.1
linux-headers-generic-hwe-20.04 5.8.0.36.40~20.04.21
linux-hwe-5.8-headers-5.8.0-34 5.8.0-34.37~20.04.2
linux-hwe-5.8-headers-5.8.0-36 5.8.0-36.40~20.04.1
linux-image-5.4.0-26-generic 5.4.0-26.30
linux-image-5.4.0-33-generic 5.4.0-33.37
linux-image-5.4.0-37-generic 5.4.0-37.41
linux-image-5.4.0-39-generic 5.4.0-39.43
linux-image-5.4.0-40-generic 5.4.0-40.44
linux-image-5.4.0-42-generic 5.4.0-42.46
linux-image-5.4.0-45-generic 5.4.0-45.49
linux-image-5.4.0-47-generic 5.4.0-47.51
linux-image-5.4.0-48-generic 5.4.0-48.52
linux-image-5.4.0-51-generic 5.4.0-51.56
linux-image-5.4.0-52-generic 5.4.0-52.57
linux-image-5.4.0-53-generic 5.4.0-53.59
linux-image-5.4.0-54-generic 5.4.0-54.60
linux-image-5.4.0-56-generic 5.4.0-56.62
linux-image-5.4.0-58-generic 5.4.0-58.64
linux-image-5.4.0-59-generic 5.4.0-59.65
linux-image-5.8.0-34-generic 5.8.0-34.37~20.04.2
linux-image-5.8.0-36-generic 5.8.0-36.40~20.04.1
linux-image-generic-hwe-20.04 5.8.0.36.40~20.04.21
linux-libc-dev:amd64 5.4.0-60.67
linux-modules-5.4.0-26-generic 5.4.0-26.30
linux-modules-5.4.0-33-generic 5.4.0-33.37
linux-modules-5.4.0-37-generic 5.4.0-37.41
linux-modules-5.4.0-39-generic 5.4.0-39.43
linux-modules-5.4.0-40-generic 5.4.0-40.44
linux-modules-5.4.0-42-generic 5.4.0-42.46
linux-modules-5.4.0-45-generic 5.4.0-45.49
linux-modules-5.4.0-47-generic 5.4.0-47.51
linux-modules-5.4.0-48-generic 5.4.0-48.52
linux-modules-5.4.0-51-generic 5.4.0-51.56
linux-modules-5.4.0-52-generic 5.4.0-52.57
linux-modules-5.4.0-53-generic 5.4.0-53.59
linux-modules-5.4.0-54-generic 5.4.0-54.60
linux-modules-5.4.0-56-generic 5.4.0-56.62
linux-modules-5.4.0-58-generic 5.4.0-58.64
linux-modules-5.4.0-59-generic 5.4.0-59.65
linux-modules-5.8.0-34-generic 5.8.0-34.37~20.04.2
linux-modules-5.8.0-36-generic 5.8.0-36.40~20.04.1
linux-modules-extra-5.4.0-26-generic 5.4.0-26.30
linux-modules-extra-5.4.0-33-generic 5.4.0-33.37
linux-modules-extra-5.4.0-37-generic 5.4.0-37.41
linux-modules-extra-5.4.0-39-generic 5.4.0-39.43
linux-modules-extra-5.4.0-40-generic 5.4.0-40.44
linux-modules-extra-5.4.0-42-generic 5.4.0-42.46
linux-modules-extra-5.4.0-45-generic 5.4.0-45.49
linux-modules-extra-5.4.0-47-generic 5.4.0-47.51
linux-modules-extra-5.4.0-48-generic 5.4.0-48.52
linux-modules-extra-5.4.0-51-generic 5.4.0-51.56
linux-modules-extra-5.4.0-52-generic 5.4.0-52.57
linux-modules-extra-5.4.0-53-generic 5.4.0-53.59
linux-modules-extra-5.4.0-54-generic 5.4.0-54.60
linux-modules-extra-5.4.0-56-generic 5.4.0-56.62
linux-modules-extra-5.4.0-58-generic 5.4.0-58.64
linux-modules-extra-5.4.0-59-generic 5.4.0-59.65
linux-modules-extra-5.8.0-34-generic 5.8.0-34.37~20.04.2
linux-modules-extra-5.8.0-36-generic 5.8.0-36.40~20.04.1
linux-sound-base 1.0.25+dfsg-0ubuntu5
...

Read more...

Klaas Eenkhoorn (k-eenkhoorn) wrote :

I am experiencing the same problem, my card is:
01:00.0 VGA compatible controller: NVIDIA Corporation GT216GLM [Quadro FX 880M] (rev a2) (prog-if 00 [VGA controller])
 DeviceName: 0
 Subsystem: Hewlett-Packard Company GT216GLM [Quadro FX 880M]
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 64 bytes
 Interrupt: pin A routed to IRQ 46
 Region 0: Memory at d2000000 (32-bit, non-prefetchable) [size=16M]
 Region 1: Memory at c0000000 (64-bit, prefetchable) [size=256M]
 Region 3: Memory at d0000000 (64-bit, prefetchable) [size=32M]
 Region 5: I/O ports at 5000 [size=128]
 Expansion ROM at 000c0000 [disabled] [size=128K]
 Capabilities: <access denied>
 Kernel driver in use: nouveau
 Kernel modules: nvidiafb, nouveau

Currently running nouveau driver but rather i'd have the NVIDIA 340 driver.

Meluco (daniel-banobre-dopico) wrote :

#37

Limag (limag1) wrote :

Lenovo T510 on Ubuntu 20.04.1 LTS, dpkg and lspci output.

Alexander Ihler (ihler) wrote :

similar dpkg versions as everyone else (e.g., linux-headers-5.8.0-36-generic)

lspci: NVIDIA Corporation GT200 [GeForce GTX 295]

I can't get nouveau to provide graphics either, so I am currently stuck with text only.

For what its' worth, I built the nvidia-340_340.108-0ubuntu5 package (includes patches to go up to kernel 5.9 apparently) on Focal20.04 -- just using the groovy-updates version and renumbering it back to 20.04.0test0 instead of a 20.10. version.

The full source and set of debs is here:-

https://www.iremonger.me.uk/noidx/nvidia-340-focal/

You only seem to need the 'nvidia-340' deb [ https://www.iremonger.me.uk/noidx/nvidia-340-focal/nvidia-340_340.108-0ubuntu5.20.04.0test0_amd64.deb ] for basic usage of the driver, but the full set of debs and source package is provided above.
This appears to solve the build and install problem on 20.04 based system, with ubuntu kernel 5.8 series installed.
By all means use and test this if you like, I hope ubuntu-devs will put the same or equivalent into focal-proposed and focal-updates very soon!.

Also: For those stuck without Nvidia working on k5.8 -- simple short-term thing to do, is hold down SHIFT at system startup (exact timing depends upon system) to get to the GRUB boot-menu, and then select "Advanced options for Ubuntu" (or thereabouts) submenu and then you should be able to boot from the latest 5.4 kernel you should still have installed.

Alexander Ihler (ihler) wrote :

@ubuntu-iremonger

You, sir, are a gentleman and a scholar. Your deb file resolves the issue for me. Thanks for putting in all the effort!

@ihler [and same comment may apply to others...]

How have you ended up with -hwe kernel getting installed anyhow? Default behaviour of particular install iso image? Because clicked some option somewhere? Some sort of 'unintended/accident' and only later found the consequence of k5.8 auto-installing? Using a non-standard ubuntu install image? This situation will need investigating as we don't want similar mess occurring in another 6months when following HWE kernel goes into 18.04.3 and so-on!...

I'd prefer that 20.04.2 provided users option to install with kernel 5.4LTS and stay there for older hardware. I note, ubuntu-derivative LinuxMint have decided to do this and not by-default follow the HWE chain, but providing an initial -edge image with kernel 5.8 for those who really need it.

May be better that those on older hardware move back to LTS 5.4 kernel and not keep following HWE? May be that legacy drivers can still be bought forward to further HWE kernels all the way to the final HWE series...? We will see, I guess, but I'd like to see these breakages/messes avoided ongoing.

Timo Aaltonen (tjaalton) wrote :

I'll upload the groovy version to focal

Changed in nvidia-graphics-drivers-340 (Ubuntu Focal):
assignee: Alberto Milone (albertomilone) → Timo Aaltonen (tjaalton)
description: updated

Hello Meluco, or anyone else affected,

Accepted nvidia-graphics-drivers-340 into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-340/340.108-0ubuntu5.20.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-340 (Ubuntu Focal):
status: Confirmed → Fix Committed
tags: added: verification-needed verification-needed-focal
Robie Basak (racb) on 2021-01-14
tags: added: hwe-dkms regression-update
Sujit Kumar (therealsujitk) wrote :

Simon's deb package worked for me! I'm planning to reinstall Ubuntu with a fresh installation as I'm seeing few other issues pop up since it upgraded to the 5.8 kernel like it tells me My laptop doesn't have bluetooth and that I should insert a dongle randomly, but then fixes itself. I'm waiting fro Ubuntu 20.04.2 this Feb 4th to install Ubuntu. It upgraded my kernel when I ran `sudo apt upgrade`. For future reference, can I know how to only get 5.4 related updates but to stay at kernel 5.4? Also, will Ubuntu 20.04.2 ship with 5.4 or some newer version?

angros47 (angros47) wrote :

In these days I had used nouveau. Today, as suggested, I enabled the proposed update, refreshed the packages, and tried to enable the nvidia drivers again. It worked!

I now disabled the proposed updated, since by now the driver is installed, thanks to everybody.

Timo Aaltonen (tjaalton) on 2021-01-14
tags: added: verification-done verification-done-focal
removed: verification-needed verification-needed-focal
Alberto Milone (albertomilone) wrote :

I can confirm that the new nvidia-340 in proposed builds correctly against both 5.4 and 5.8.

$ apt-cache policy nvidia-340
nvidia-340:
  Installed: 340.108-0ubuntu5.20.04.1
  Candidate: 340.108-0ubuntu5.20.04.1
  Version table:
 *** 340.108-0ubuntu5.20.04.1 500
        500 http://archive.ubuntu.com/ubuntu focal-proposed/restricted amd64 Packages
        100 /var/lib/dpkg/status
     340.108-0ubuntu2 500
        500 http://archive.ubuntu.com/ubuntu focal/restricted amd64 Packages

$ dkms status
nvidia-340, 340.108, 5.4.0-60-generic, x86_64: installed
nvidia-340, 340.108, 5.8.0-38-generic, x86_64: installed

Meluco (daniel-banobre-dopico) wrote :

Ok. nvidia-340/focal-proposed DKMS compiles and install in linux-image-5.8.0-34-generic.

Now I have not wifi. I can't undestand how a so buggy package has been installed automatically in many computers.

Thnaks!
===============================================================================================

sudo apt install linux-generic

sudo apt-get install nvidia-340/focal-proposed

sudo apt install linux-headers-generic-hwe-20.04 linux-image-5.8.0-34-generic linux-headers-5.8.0-34-generic

sudo apt-mark auto linux-headers-generic-hwe-20.04 linux-image-5.8.0-34-generic linux-headers-5.8.0-34-generic

reboot

dkms status
  nvidia-340, 340.108, 5.4.0-59-generic, x86_64: installed
  nvidia-340, 340.108, 5.4.0-62-generic, x86_64: installed
  nvidia-340, 340.108, 5.8.0-34-generic, x86_64: installed
  nvidia-340, 340.108, 5.8.0-38-generic, x86_64: installed

Limag (limag1) wrote :

Works (including WIFI and suspend).

paolo porchia (paolo-porchia) wrote :

Successfully installed nvidia-340 from focal-proposed repository. Now DKMS compiles the module for kernel 5.8 and everything works.
Many thanks to everyone who contributed.

@Meluco I don't in any way think nvidia-340 likely to affect wifi, but test your wifi on all the kernels, especially 5.4.0-62-generic and 5.8.0-38-generic.
Do hold down shift early at system startup to get in GRUB boot menu (exact timing depends upon system), you should be able to get into "Advanced options for Ubuntu" and boot with different kernels. Seems like nvidia-340 likely to work in all cases, you seem to have dkms compiled for all.
If there is a kernel<>wifi issue in current 5.8.0-38 or 5.4.0-62-generic please search for that bug / report that bug separately to this bug, note what kernels it does/doesn't work with, and so-on.

Sujit Kumar (therealsujitk) wrote :

WiFi not working could be because of some signing issue after upgrading, try disabling Secure Boot and check? I faced this issue before.

Meluco (daniel-banobre-dopico) wrote :

@therealsujitk @ubuntu-iremonger
Thanks.

ANDREY (a.nikonov) on 2021-01-15
Changed in nvidia-graphics-drivers-340 (Ubuntu Focal):
status: Fix Committed → Fix Released
Meluco (daniel-banobre-dopico) wrote :

@therealsujitk @ubuntu-iremonger

It's my fault.

WiFi failed because I manually removed all linux-5.8.0-34 packages when nvidia brokes. When reinstall linux packages I forgot install linux-modules-extra-5.8.0-34-generic.

I install it and mark it as 'auto' and WiFi comes again.

Thank you everybody.

Changed in nvidia-graphics-drivers-340 (Ubuntu Focal):
status: Fix Released → Fix Committed
Changed in nvidia-graphics-drivers-340 (Ubuntu):
status: Confirmed → Fix Released

Hi,

- The new packages for VirtualBox work.
- I am waiting now for the update of: Nvidia-340.
I hope it will come quickly, to close all of this.

Thanks anyway for the team(s).

Rgds,

Michaël CHLON

Basty (moongazer) wrote :

Isn't the update available already? On 15th Feb I see this one:

Changed in nvidia-graphics-drivers-340 (Ubuntu Focal):
status: Fix Committed → Fix Released

So few minutes ago I first made an update where a new kernel was loaded, than restarted and tried again to install the 340 driver for my GeForce 9500 GT, but still it failed with message (translated into english):

> pk-client-error-quark: Error while installing package "nvidea-340-script of package post-installation" sub-process responded with error 10 (313)

System: Linux 5.8.0-38-generic #43~20.04.1-Ubuntu SMP Tue Jan 12 16:39:47 UTC 2021 x86_64 x86_64 x86_64 GNU/Linux

How long does it take usually until a patch is released or available via the updater?

Timo Aaltonen (tjaalton) wrote :

the update is in focal-proposed, not in -updates yet.. don't mark bugs fixed manually, that'll just cause confusion

Julio Danni (jdanni) on 2021-01-18
Changed in nvidia-graphics-drivers-340 (Ubuntu Focal):
status: Fix Committed → In Progress
status: In Progress → Fix Committed
Olivier Cessenat (cessenat) wrote :

Simon's deb worked for me and a GeForce 8400M GS that was broken since 2021-01-12 and linux modules 5.8.0.36. That was a misadventure, an unpleasant user experience.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-340 - 340.108-0ubuntu5.20.04.1

---------------
nvidia-graphics-drivers-340 (340.108-0ubuntu5.20.04.1) focal; urgency=medium

  * Backport to focal. (LP: #1910709)

 -- Timo Aaltonen <email address hidden> Thu, 14 Jan 2021 09:40:28 +0200

Changed in nvidia-graphics-drivers-340 (Ubuntu Focal):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for nvidia-graphics-drivers-340 has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Hi,

Just install the update and everything is OK, after
2 weeks ...

Anyway, thanks and good job.

Rgds,

Klaas Eenkhoorn (k-eenkhoorn) wrote :

Thanks, the update works for my NVIDIA Corporation GT216GLM [Quadro FX 880M] (rev a2) card, integral part of a HP 8540w laptop.

Clodoaldo Rodrigues (rodrigcj) wrote :

I'm having trouble installing the 340-108 driver.
My Operating System is Ubuntu 20.10, Kernel version 5.8.0.40
My plate:
NVIDIA Corporation GT218 [GeForce 210] (rev a2)
I already tried to install by command:
  ubuntu-driver install,
already tried by command:
  apt install nvidia-340
and also by the native geforce driver:
sh NVIDIA-Linux-x86_64-340.108.run

Clodoaldo Rodrigues (rodrigcj) wrote :
Download full text (3.8 KiB)

rodriguescj@dark-cloud:~/Downloads$ sudo apt install nvidia-340
[sudo] senha para rodriguescj:
Sinto muito, tente novamente.
[sudo] senha para rodriguescj:
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
The following additional packages will be installed:
  lib32gcc-s1 libc6-i386 libcuda1-340 libxnvctrl0 nvidia-opencl-icd-340 nvidia-settings screen-resolution-extra
Os NOVOS pacotes a seguir serão instalados:
  lib32gcc-s1 libc6-i386 libcuda1-340 libxnvctrl0 nvidia-340 nvidia-opencl-icd-340 nvidia-settings screen-resolution-extra
0 pacotes atualizados, 8 pacotes novos instalados, 0 a serem removidos e 0 não atualizados.
É preciso baixar 9.819 kB/73,2 MB de arquivos.
Depois desta operação, 348 MB adicionais de espaço em disco serão usados.
Você quer continuar? [S/n] s
Obter:1 http://ppa.launchpad.net/kelebek333/nvidia-legacy/ubuntu groovy/main amd64 nvidia-opencl-icd-340 amd64 340.108-4lmtrgroovy [8.841 kB]
Obter:2 http://archive.ubuntu.com/ubuntu groovy/main amd64 libxnvctrl0 amd64 440.82-0ubuntu1 [11,0 kB]
Obter:3 http://archive.ubuntu.com/ubuntu groovy/main amd64 screen-resolution-extra all 0.18build1 [4.456 B]
Obter:4 http://archive.ubuntu.com/ubuntu groovy/main amd64 nvidia-settings amd64 440.82-0ubuntu1 [963 kB]
Baixados 9.819 kB em 11s (918 kB/s)
A seleccionar pacote anteriormente não seleccionado libc6-i386.
(Lendo banco de dados ... 294107 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar .../0-libc6-i386_2.32-0ubuntu3_amd64.deb ...
A descompactar libc6-i386 (2.32-0ubuntu3) ...
Substituído por ficheiros no pacote instalado libc6:i386 (2.32-0ubuntu3) ...
A seleccionar pacote anteriormente não seleccionado lib32gcc-s1.
A preparar para desempacotar .../1-lib32gcc-s1_10.2.0-13ubuntu1_amd64.deb ...
A descompactar lib32gcc-s1 (10.2.0-13ubuntu1) ...
A seleccionar pacote anteriormente não seleccionado libcuda1-340.
A preparar para desempacotar .../2-libcuda1-340_340.108-4lmtrgroovy_amd64.deb ...
A descompactar libcuda1-340 (340.108-4lmtrgroovy) ...
A seleccionar pacote anteriormente não seleccionado libxnvctrl0:amd64.
A preparar para desempacotar .../3-libxnvctrl0_440.82-0ubuntu1_amd64.deb ...
A descompactar libxnvctrl0:amd64 (440.82-0ubuntu1) ...
A preparar para desempacotar .../4-nvidia-340_340.108-4lmtrgroovy_amd64.deb ...
A acrescentar 'desvio de /usr/lib/x86_64-linux-gnu/libGL.so.1 para /usr/lib/x86_64-linux-gnu/libGL.so.1.distrib por nvidia-340'
dpkg-divert: erro: renomear envolve sobrescrever '/usr/lib/x86_64-linux-gnu/libGL.so.1.distrib' com
  arquivo diferente '/usr/lib/x86_64-linux-gnu/libGL.so.1', não permitido
dpkg: erro ao processar o arquivo /tmp/apt-dpkg-install-s9EJNj/4-nvidia-340_340.108-4lmtrgroovy_amd64.deb (--unpack):
 o subprocesso do pacote nvidia-340, novo script pre-installation retornou erro do status de saída 2
A seleccionar pacote anteriormente não seleccionado nvidia-opencl-icd-340.
A preparar para desempacotar .../5-nvidia-opencl-icd-340_340.108-4lmtrgroovy_amd64.deb .....

Read more...

Meluco (daniel-banobre-dopico) wrote :

Can you post the outputs of this commands?
Pode afixar os resultados destes comandos? (translated by deepl.com)
    df -h
    sudo apt-get install smartmontools
    ls /dev/sd? | xargs -n1 sudo smartctl -a

nuciklo (nuciklo) wrote :

I am still affacted:

I have tried to enable the Nvidia driver again (i was affected from the installation error problem).

This time i face a blank screen on boot, and i had again to go to the terminal from recovery boot option and have the adventure to return to the Noveuau display driver.

My Operating System is Ubuntu 20.04.01, Kernel version 5.8.0.40

Also on the Aditional Driver Gui, it doesn't display really which driver i install, i mean if is this the new patched version. Shouldn't be displayed something like a subversion?

It is just saying Nvidia binary driver - version 340.108 from nvidia 340 (proprietary-tested).

Thanks in advance for your inredible work to solve problems!

To post a comment you must log in.